## bash4 4.2.20-1

=== Makefile ===
PACKAGE:=bash4
VERSION:=4.2
SOURCE:=bash-$(VERSION).tar.gz
URLS:=http://ftp.gnu.org/gnu/bash/

include ../Rules.make

## bash4 4.2

=== debian/changelog ===
bash4 (4.2) stable; urgency=low

  * Initial package of bash 4.2

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 17 Feb 2011 15:27:00 +0200

=== debian/control ===
Source: bash4
Section: user/utilities
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Standards-Version: 3.6.1
Build-Depends: posix-locales, locales, patchutils, libncurses5-dev
XSBC-Bugtracker: mailto:milang@tal.org

Package: bash4
Architecture: any
Depends: ${shlibs:Depends}
Section: user/utilities
Priority: optional
Description: The GNU Bourne Again SHell 4.2
 Bash is a command-line shell which can replace the maemo standard
 command-line shell with an improved one with more features.
 .
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file. Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# LDFLAGS= 
DEB_TAR_SRCDIR:=bash-4.2
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr --sysconfdir=/etc -C \
	--bindir=/bin --sbindir=/sbin \
	--with-curses \
	--with-installed-readline=no \
	--disable-nls \
	--enable-separate-helpfiles \
	--disable-debugger \
	--disable-mem-scramble \
	--enable-multibyte \
	--enable-largefile \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man \
	--without-bash-malloc
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))
DEB_DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/cdbs/1/rules/tarball.mk

install/bash4::
	mv debian/tmp/bin/bash debian/tmp/bin/bash4

## bash4 4.2-1

=== debian/changelog ===
bash4 (4.2-1) stable; urgency=low

  * Add icon. cpu optimize for N900 only.

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 18 Feb 2011 11:48:00 +0200

## bash4 4.2-p8-1

=== debian/changelog ===
bash4 (4.2-p8-1) stable; urgency=low

  * Add upstream 001-008 patches and rebuild.

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 28 Apr 2011 22:43:00 +0300

=== debian/control ===
--- 
+++ 
@@ -18,3 +18,52 @@
  Bash is an sh-compatible command language interpreter that executes
  commands read from the standard input or from a file. Bash also
  incorporates useful features from the Korn and C shells (ksh and csh).
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAAXNSR0IArs4c
+ 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9sCEgklJgHS5K0AAAf3
+ SURBVFjDzVhbjF1VGf5v637OFCqlA2JrS0uqaTWhCRBEDTF4rW9oeLMJUaIP
+ +qBRARMMGIyRID6pMSYmPqAPBhJFQrQxDgoFbS11LHIphUxrYcqt0+l0zj57
+ r+XDv2f3dDrWKqbT/+GcZO3L+tb3f//3r7WxlAIAALBjx46JiYmDU1M5N9Za
+ a61zLpdCRIRIRCKGmRGBRYiYEJHAiBUjzMzEYkREEJCFrbHGGDFijDHGiIiI
+ cdYaa4wYY3XUiDHWWu+9c46ZAUAAoGma22+79am/7hKmph4ykwgjQJNzKaVp
+ ctPkAlByAUIEKFCgADIRMiIiobAICxsRMdYaa51r5/Heex9CDMGHEGMMIcSY
+ Qgg++OCD89770DR1XdcxRhERALj//vsPT72ICPsPvHRifj7njACACICEQIQF
+ oKUESYcJgZmJmIWZWUR05RrOOed8qOrK13XT5AKIhMQsRoyt66bJuRQoANQG
+ E1HTNEQkdV0/+fgfZ2Zmfj/xWF3XSIQKJiMyajYJCQmJCE6+gohImMUIc4tE
+ E+29974Odc7Ko4iYoR3WyjcAIKKCEJZ2QcxEiIgAIFNTU7PHZib/8WzdNMaY
+ VlINgAOoABCQAAkQsZSizwCA3lYASimIgAi0QCAxibDKZgGos64N77x1zjnv
+ vdfEWmuYmVnaBU9PT7/+2mvHZo8LcykFhpDnS5Es91Swpc6DUuahFMg5l4XI
+ OetCEVH/mZiJW5aUKWNDCN774EMIIcYYY4oxhRhTjHrJOWetVYUr5YhIx47N
+ zFdVVQ0RERooq7L9wTC+UNlbcpyo/a8q3JzzIBdoi3FR1phZtFQWdBwUQIox
+ hl6vl3onI6WUUoopxQ6TtSJt1nSFMnd8blANc9MAQGnAfr+2n87VA4gXAcyC
+ 2VZoczXY6mmOUFARqIqZ2bRIFtLhvZKRksJIvV6v3++PQOrFGDs0xhgxRkSU
+ G9UDDapqWNelFMiIAfiakudh/lOSn8Lh5211L5edTCsRYWk0yrz33nufFkLn
+ 7vfHRiOlpFgVjbVW/YmZFZDSL8NhNRw2BQox1gMozwGvAfejht5Z8nipv+YQ
+ kQySbdFovk9Ho5Np9BdilKGOmwXpmNFMndTDYDAY1g0AAgIBDr4izT50N2fz
+ oeJ2VPbBeb4qU2mJUTSaJkUTQgghnEpMf2xsrPvt9/tn4GYRGgVUNU1uRwVg
+ r8xf6eY/bpu/EBwg+UQ2D5+g92Qpoq8YMRuvE4yIpkXTEdPR06HpOsmobk4B
+ VFUVQEFEKIAB+IOZtubmt5Insd4W6m9a7AN9uNFGpi6stCugM3Oj9Cga59x/
+ RAMA0jSNOp4UqVdW7neD8goM3sdQgDyhAwDgIYuwGOky1ak4xqgELBJNlynV
+ jfKqulG/gH8TMqxr9fLGNDjF9T3GfHXo9p2AWYCPHqNLoDxL8kiy1jrjnXFe
+ XLDBO59aqwlKz2imTlpOjCqas0QDANLUtd6XKaPBfIerJplvaOhjNf5N8IfO
+ PdD3RyOvorKizoYaR0PH7GjgOFjf7/UVzShJHTedHXflfWY0ACCgdkREREVK
+ oYK/9PQgl7tm7Y9X2Ne9scaHcOwjR45/5lVEbVyIgIDwjokrrjh0U+rH0Ux1
+ BdVl6uzRAICUnLu7SykFC1tmZr53pYCYaJxz1pnVj64xu9d5H7wPMYQUUwjh
+ gnRh74LU67eKGZXwokypKuAsQpQeZtbGCQC6IClibdunvfeBQ8QYOSabVDZK
+ SezFrpo69+vMptPNkgW1NCBE7BjSpWhZKpSRfhlCDDHF1EsxxdRPqZ9SL43W
+ 9ltHAwBtdo0xXSdX9+v6Zec3McYuNaMV3nGjsLWrnN6kzhZQ1zLVjRTcIm46
+ L04paXl3ZdX1rzO3zP+OIbXgLlnGmMnJSThX0R17WkDdRlNXw8x79+6Fcxi6
+ OT6FIc26Mrx792445zGKSUREDUPPacseJCKj1aSjH3jpXf/zG9/Ksy2grqBi
+ jOeMiVWfHFsSuqjlhBBKKWfp7m894kZ3+R2rl2bIGKM7G3W/7sKm+y69du8V
+ W362prfFd4NXPbbh/c9vuvrxDW+7od8udNvY1Ts3XPfspq2PrO9u23Dn+DW7
+ Nl7563UXXpdOn5ITbfrepU9/4dDSPqT0DIdDVXh34fDP33zuGy+P33TB2i9e
+ 9PfPHtTBJ699HhB6m/17f7H2T+9+BgA2fGt83y0Hjz4xN/rSN3fOHfjOdH+L
+ 3/jtS/58/f5FU264c3z/Xa8cfXLuTICaplFj7C4c3TkHANMPzKz90kU6svL6
+ 3mWfWxk3OlnBZFsLfv72l9fdejEyHvrJ69MPHtXBV38zAwBvPjEX1tvTp1x9
+ 44rVN67oKmBi7dOLNaRaXgTIjUtzolx288rj+wY6svHu8Re/e+SNR4/bVXLl
+ w+t08MhDM0cemhnbGjbd9/YO0IIHLy2gDsHpaABA9NigJmTtwoIybP7pmrDe
+ zk7OP/Plf+rYC3dPr/v6xZffOf7GH2a757c+sj6ss3P7B8/ddvj/Y5J79uzZ
+ tWtXVVVE5Jzbvn37svjhSad2zqWUnHN6Alx2pxbnXK/Xq+taGVp+QNbalFLT
+ NMx8vgCKMeaczy9AAIWIzwsNiYg2ed1KLz8gZg7BA6B+cDkvAHnvSwFmYj4v
+ AKn9tF/sqqo694k7ZU+NSMZY3QzpoTHnfM42RqefOrCU0n0i6mIZU4bd5/CR
+ b+HLqiHF0R1Hll3U/wJQ6qNhIhHjUQAAAABJRU5ErkJggg==

## bash4 4.2-p10-1

=== debian/changelog ===
bash4 (4.2-p10-1) stable; urgency=low

  * Add upstream 009-010 patches and rebuild.

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 07 Jun 2011 16:54:00 +0300

## bash4 4.2-p20-1

=== debian/changelog ===
bash4 (4.2-p20-1) stable; urgency=low

  * Add upstream 011-020 patches and rebuild.

 -- Kaj-Michael Lang <milang@tal.org>  Sun, 11 Dec 2011 11:46:00 +0200

## bash4 4.2.20-1

=== debian/changelog ===
bash4 (4.2.20-1) stable; urgency=low

  * Workaround package version mixups

 -- Kaj-Michael Lang <milang@tal.org>  Sun, 18 Dec 2011 11:05:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
+
+IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
 # LDFLAGS= 
 DEB_TAR_SRCDIR:=bash-4.2
@@ -18,7 +20,11 @@
 	--infodir=/usr/share/info \
 	--mandir=/usr/share/man \
 	--without-bash-malloc
+ifeq ($(IS_FREMANTLE),y)
 DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
+else
+DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe
+endif
 DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
 DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))
 DEB_DESTDIR=$(CURDIR)/debian/tmp

## bash4 4.2.37-1

=== debian/changelog ===
bash4 (4.2.37-1) stable; urgency=low

  * Add upstream 021-037 patches and rebuild.

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 13 Aug 2012 12:39:00 +0200
